Contacts
Get a company contact
Returns one company contact, including its country, the rep it is assigned to, and the user who owns it. Requires a company admin token with permission to view contacts. Returns 404 when the contact does not exist.
GET
/
api
/
company
/
contacts
/
{id}
Get a company contact
curl --request GET \
--url https://api.fluid.app/api/company/contacts/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/company/contacts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/company/contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/contacts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/contacts/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/company/contacts/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/contacts/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"contact": {
"id": 88412,
"token": "c3f1a9e2-6b4d-4e7a-9c21-5d8f0b7e3a64",
"first_name": "Holly",
"last_name": "Flax",
"avatar_url": null,
"status": "warm",
"email": "holly.flax@gmail.com",
"email2": null,
"phone": "+15705550119",
"phone2": null,
"phone_id": null,
"address": "1725 Slough Avenue",
"address2": "Suite 200",
"city": "Scranton",
"state": "PA",
"postal_code": "18505",
"language_id": 1,
"country_id": 233,
"lead_type": null,
"ip": null,
"requested_at": null,
"best_time": null,
"time_zone": "America/New_York",
"reason": null,
"income": null,
"hours": null,
"invest": null,
"interest": null,
"full_name": "Holly Flax",
"discarded_at": null,
"metadata": {
"source": "trade-show",
"booth": "Scranton Business Expo"
},
"country": {
"id": 233,
"name": "United States",
"iso": "US",
"iso3": "USA",
"active": true
},
"affiliate": {
"id": 48213,
"first_name": "Dwight",
"last_name": "Schrute",
"image_url": "https://cdn.fluid.app/dunder-mifflin/avatars/dwight-schrute.jpg"
},
"owner": {
"id": 30117,
"first_name": "Dwight",
"last_name": "Schrute",
"image_url": "https://cdn.fluid.app/dunder-mifflin/avatars/dwight-schrute.jpg"
}
},
"meta": {
"request_id": "5f0c2a7e-3b1d-4c8e-9a6f-2d7b1e4c9a03",
"timestamp": "2026-09-30T14:12:45Z"
}
}{
"message": "<string>"
}⌘I
Get a company contact
curl --request GET \
--url https://api.fluid.app/api/company/contacts/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/company/contacts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/company/contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/contacts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/contacts/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/company/contacts/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/contacts/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"contact": {
"id": 88412,
"token": "c3f1a9e2-6b4d-4e7a-9c21-5d8f0b7e3a64",
"first_name": "Holly",
"last_name": "Flax",
"avatar_url": null,
"status": "warm",
"email": "holly.flax@gmail.com",
"email2": null,
"phone": "+15705550119",
"phone2": null,
"phone_id": null,
"address": "1725 Slough Avenue",
"address2": "Suite 200",
"city": "Scranton",
"state": "PA",
"postal_code": "18505",
"language_id": 1,
"country_id": 233,
"lead_type": null,
"ip": null,
"requested_at": null,
"best_time": null,
"time_zone": "America/New_York",
"reason": null,
"income": null,
"hours": null,
"invest": null,
"interest": null,
"full_name": "Holly Flax",
"discarded_at": null,
"metadata": {
"source": "trade-show",
"booth": "Scranton Business Expo"
},
"country": {
"id": 233,
"name": "United States",
"iso": "US",
"iso3": "USA",
"active": true
},
"affiliate": {
"id": 48213,
"first_name": "Dwight",
"last_name": "Schrute",
"image_url": "https://cdn.fluid.app/dunder-mifflin/avatars/dwight-schrute.jpg"
},
"owner": {
"id": 30117,
"first_name": "Dwight",
"last_name": "Schrute",
"image_url": "https://cdn.fluid.app/dunder-mifflin/avatars/dwight-schrute.jpg"
}
},
"meta": {
"request_id": "5f0c2a7e-3b1d-4c8e-9a6f-2d7b1e4c9a03",
"timestamp": "2026-09-30T14:12:45Z"
}
}{
"message": "<string>"
}